Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfWritingModeType

    java.lang.Object
      java.lang.Enum<OdfWritingModeType>
          org.odftoolkit.odfdom.dom.type.style.OdfWritingModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfWritingModeType>

    public enum OdfWritingModeType

extends Enum<OdfWritingModeType>

DOM implementation of OpenDocument attribute style:writing-mode.

Enum Constant Summary
`LR`
`LR_TB`
`PAGE`
`RL`
`RL_TB`
`TB`
`TB_LR`
`TB_RL`

Method Summary
`static OdfWritingModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfWritingModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfWritingModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfWritingModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TB_LR

    public static final OdfWritingModeType TB_LR

### LR_TB

    public static final OdfWritingModeType LR_TB

### TB_RL

    public static final OdfWritingModeType TB_RL

### PAGE

    public static final OdfWritingModeType PAGE

### RL

    public static final OdfWritingModeType RL

### LR

    public static final OdfWritingModeType LR

### TB

    public static final OdfWritingModeType TB

### RL_TB

    public static final OdfWritingModeType RL_TB

Method Detail

### values

    public static OdfWritingModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfWritingModeType c : OdfWritingModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfWritingModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfWritingModeType>`
  Returns:
    return the name of OdfWritingModeType

### toString

    public static String toString(OdfWritingModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfWritingModeType, see style:writing-mode
  Returns:
    return the name of OdfWritingModeType

### enumValueOf

    public static OdfWritingModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfWritingModeType
  Returns:
    return the constant of OdfWritingModeType, see style:writing-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.